Loading...
Searching...
No Matches
BamTools::IBamIODevice Class Referenceabstract

`#include <IBamIODevice.h>`

## Public Types

enum | OpenMode { NotOpen = 0x0000 , ReadOnly = 0x0001 , WriteOnly = 0x0002 , ReadWrite = ReadOnly | WriteOnly }

## Public Member Functions

virtual | ~IBamIODevice ()
virtual void | Close ()=0
virtual bool | IsRandomAccess () const =0
virtual bool | Open (const OpenMode mode)=0
virtual int64_t | Read (char *data, const unsigned int numBytes)=0
virtual bool | Seek (const int64_t &position, const int origin=SEEK_SET)=0
virtual int64_t | Tell () const =0
virtual int64_t | Write (const char *data, const unsigned int numBytes)=0
virtual std::string | GetErrorString ()
virtual bool | IsOpen () const
virtual OpenMode | Mode () const

## Protected Member Functions

| IBamIODevice ()
void | SetErrorString (const std::string &where, const std::string &what)

## Protected Attributes

OpenMode | m_mode
std::string | m_errorString

## Member Enumeration Documentation

## OpenMode

enum BamTools::IBamIODevice::OpenMode

Enumerator
NotOpen |
ReadOnly |
WriteOnly |
ReadWrite |

## Constructor & Destructor Documentation

## ~IBamIODevice()

virtual BamTools::IBamIODevice::~IBamIODevice | ( |  | ) |

inline virtual

## IBamIODevice()

BamTools::IBamIODevice::IBamIODevice | ( |  | ) |

inline protected

## Member Function Documentation

## Close()

virtual void BamTools::IBamIODevice::Close | ( |  | ) |

pure virtual

## GetErrorString()

std::string BamTools::IBamIODevice::GetErrorString | ( |  | ) |

inline virtual

## IsOpen()

bool BamTools::IBamIODevice::IsOpen | ( |  | ) | const

inline virtual

## IsRandomAccess()

virtual bool BamTools::IBamIODevice::IsRandomAccess | ( |  | ) | const

pure virtual

## Mode()

IBamIODevice::OpenMode BamTools::IBamIODevice::Mode | ( |  | ) | const

inline virtual

## Open()

virtual bool BamTools::IBamIODevice::Open | ( | const OpenMode | mode | ) |

pure virtual

## Read()

virtual int64_t BamTools::IBamIODevice::Read | ( | char * | data,
|  | const unsigned int | numBytes )

pure virtual

## Seek()

virtual bool BamTools::IBamIODevice::Seek | ( | const int64_t & | position,
|  | const int | origin = SEEK_SET )

pure virtual

## SetErrorString()

void BamTools::IBamIODevice::SetErrorString | ( | const std::string & | where,
|  | const std::string & | what )

inline protected

## Tell()

virtual int64_t BamTools::IBamIODevice::Tell | ( |  | ) | const

pure virtual

## Write()

virtual int64_t BamTools::IBamIODevice::Write | ( | const char * | data,
|  | const unsigned int | numBytes )

pure virtual

## Member Data Documentation

## m_errorString

std::string BamTools::IBamIODevice::m_errorString

protected

## m_mode

OpenMode BamTools::IBamIODevice::m_mode

protected

The documentation for this class was generated from the following file:

- IBamIODevice.h